// SPDX-FileCopyrightText: 2019-2023 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef MARKERSPOPUP_H
#define MARKERSPOPUP_H

// Local includes
#include "shared/SelectionPopup.h"
#include "shared/Markers.h"

class MarkersPopup : public SelectionPopup
{
    Q_OBJECT

public:
    explicit MarkersPopup(QWidget *parent, const QVector<Markers::Marker> &markers);
    void show(int currentMarker, const QPoint &position = QPoint(-1, -1));
    void updateMarkers();
    int markerId() const;
    QString markerName() const;

private Q_SLOTS:
    void markerSelected(QPushButton *button);

private: // Functions
    void updateVisibility();

private: // Variables
    const QVector<Markers::Marker> *m_markers;
    int m_markersCount = -1;
    int m_currentMarker = -1;
    int m_markerId = -1;
    QString m_markerName;

};

#endif // MARKERSPOPUP_H
