// SPDX-FileCopyrightText: 2023 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef REGISTRATIONLISTDELEGATE_H
#define REGISTRATIONLISTDELEGATE_H

// Local includes
#include "shared/TableDelegate.h"

// Qt includes
#include <QPen>

class RegistrationListDelegate : public TableDelegate
{
    Q_OBJECT

public:
    explicit RegistrationListDelegate(QObject *parent);

    void paint(QPainter *painter, const QStyleOptionViewItem &option,
               const QModelIndex &index) const override;
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &,
                          const QModelIndex &) const override;
    void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option,
                              const QModelIndex &index) const override;
    void setEditorData(QWidget *editor, const QModelIndex &index) const override;
    void setModelData(QWidget *editor, QAbstractItemModel *,
                      const QModelIndex &index) const override;

    void setLastVisibleColumn(int column);

Q_SIGNALS:
    void editorCreated(QWidget *editor, const QString &name) const;
    void requestRenamePlayers(const QString &originalName, const QString &name) const;

public Q_SLOTS:
    void setHoveredRow(int row);

private: // Variables
    QBrush m_highlightBrush;
    QPen m_selectedPen;
    int m_hoveredRow = -1;
    int m_lastVisibleColumn = -1;

};

#endif // REGISTRATIONLISTDELEGATE_H
