// SPDX-FileCopyrightText: 2020-2023 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef OPTIONALPAGES_H
#define OPTIONALPAGES_H

// Qt includes
#include <QObject>
#include <QHash>

namespace OptionalPages
{

enum Page {
    DrawOverview,
    Schedule
};

const QHash<Page, QString> pageTitle {
    { DrawOverview, QObject::tr("Übersicht Auslosung") },
    { Schedule,     QObject::tr("Turnier-Zeitplan") }
};

const QHash<Page, QString> pageId {
    { DrawOverview, QLatin1String("draw_overview") },
    { Schedule,     QLatin1String("schedule") }
};

const QHash<QString, Page> pageIdMap {
    { QLatin1String("draw_overview"), DrawOverview },
    { QLatin1String("schedule"),      Schedule }
};

}

#endif // OPTIONALPAGES_H
