// SPDX-FileCopyrightText: 2019-2022 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef REGISTRATIONCOLUMNS_H
#define REGISTRATIONCOLUMNS_H

#include <QVector>
#include <QHash>

namespace RegistrationColumns
{

enum Column {
    Name,
    Mark,
    Draw,
    Marker
};

const QVector<Column> allColumns {
    Column::Mark,
    Column::Draw,
    Column::Marker
};

const QHash<Column, int> columnIndex { { Column::Name,   0 },
                                       { Column::Mark,   1 },
                                       { Column::Draw,   2 },
                                       { Column::Marker, 3 } };

const QHash<Column, const char *> checkBoxText {
    { Column::Mark,   "Markieren" },
    { Column::Draw,   "Auslosung" },
    { Column::Marker, "Markierung" }
};

const QHash<Column, QString> columnId {
    { Column::Mark,   QStringLiteral("mark") },
    { Column::Draw,   QStringLiteral("draw") },
    { Column::Marker, QStringLiteral("marker") }
};

const QVector<Column> defaultColumns {
    Column::Mark,
    Column::Draw
};

}

#endif // REGISTRATIONCOLUMNS_H
